#include "main.h"
#include "i2c.h"
#include "i2clcd.h"
#include "string.h"
//------------------------------------------------
unsigned char tmp;
unsigned int isr_cnt=0, current_time = 0, cnt1=0, old_cnt=0;
char str01[30]={'\0'};
//------------------------------------------------
void __interrupt(high_priority) tcInt(void)
{
  if (CMIF)
  {
    CMIF=0;
    if (C1OUT)
    {
      isr_cnt++;
    }
  }
}
//------------------------------------------------
void main()
{
  float temper = .0f;
  TRISA=0X03;
  PORTA=0X00;
  TRISC=0X00;
  PORTC=0X00;
  InitI2C();// Initialize i2c
  LCD_Init();
  LCD_Clear();
  CVRR = 1;
  CVR3 = 0;
  CVR2 = 1;
  CVR1 = 1;
  CVR0 = 0;
  CVREN = 1;
  C1INV = 1;
  CM2 = 1;
  CM1 = 1;
  CM0 = 0;
  __delay_us(10);
  tmp = CMCON;
  CMIF = 0;
  CMIE = 1;
  PEIE = 1;
  GIE = 1;
  while(1)
  {
    GIE = 0;
    isr_cnt = 0;
    GIE = 1;
    PORTC|=0X01;
    __delay_ms(55);
    current_time = 0;
    cnt1 = -1;
    do
    {
      old_cnt = cnt1;
      GIE = 0;
      cnt1 = isr_cnt;
      GIE = 1;
      __delay_ms(5);
      current_time++;
    } while( cnt1 != old_cnt && current_time < 11);
    PORTC&=~0X01;
    float temper = ((float)isr_cnt-808)/16;
    sprintf(str01,"%.2f C",temper);
    LCD_SetPos(0,0);
    LCD_String(str01);
    sprintf(str01,"%06d",isr_cnt);
    LCD_SetPos(0,1);
    LCD_String(str01);
    __delay_ms(1000);
  }
}